function write_entry
	{
	echo "			dd	$1"
	}



if test $# -lt 2; then
	echo "Usage: $0 <file> <parameter> [parameters ...]" >&2
	exit
fi

FILE=$1
SED_FILE="makelist-$PPID"'~'

echo 'h' > "$SED_FILE"
while test $# -gt 1; do
	echo 's/^'$2'//1' >> "$SED_FILE"
	shift
done
echo 't master' >> "$SED_FILE"
echo 's/^CYCLE_LABEL //1' >> "$SED_FILE"
echo 't sub' >> "$SED_FILE"
echo 'd' >> "$SED_FILE"
echo ':sub' >> "$SED_FILE"
echo 'p' >> "$SED_FILE"
echo 'd' >> "$SED_FILE"
echo ':master' >> "$SED_FILE"
echo 'g' >> "$SED_FILE"
echo 's/\://1' >> "$SED_FILE"
echo 'p' >> "$SED_FILE"
echo 'd' >> "$SED_FILE"

LABELS=`sed -f "$SED_FILE" "$FILE"`

echo 's/\.//1' > "$SED_FILE"
echo 't sub' >> "$SED_FILE"
echo 'd' >> "$SED_FILE"
echo ':sub' >> "$SED_FILE"
echo 'p' >> "$SED_FILE"
echo 'd' >> "$SED_FILE"

MASTER_USED=yes
for LABEL in $LABELS; do
	LABEL_TYPE=`echo $LABEL | sed -f "$SED_FILE"`
	if test -z $LABEL_TYPE; then
		if test $MASTER_USED = no; then
			write_entry $MASTER
		fi
		MASTER=$LABEL
		MASTER_USED=no
	else
		write_entry $MASTER$LABEL
		MASTER_USED=yes
	fi
done

rm -f "$SED_FILE"

